# CPUs -- NeoGeo and CPS1/CPS2
CPUS+=Z80@
CPUS+=M68000@

# NeoGeo sound chips
SOUNDS+=YM2610@
SOUNDS+=YM2610B@

# CapCom System 1 and System 2 sound chips
SOUNDS+=YM2151@
SOUNDS+=OKIM6295@
SOUNDS+=QSOUND@

DRVLIBS = \
	$(OBJ)/capcom.a $(OBJ)/neogeo.a \

$(OBJ)/capcom.a: \
	$(OBJ)/vidhrdw/cps1.o $(OBJ)/drivers/cps1.o $(OBJ)/drivers/cps2.o \

$(OBJ)/neogeo.a: \
	$(OBJ)/machine/neogeo.o $(OBJ)/machine/pd4990a.o \
	$(OBJ)/machine/neocrypt.o $(OBJ)/machine/neoprot.o $(OBJ)/machine/neoboot.o \
	$(OBJ)/vidhrdw/neogeo.o $(OBJ)/drivers/neogeo.o \

COREOBJS += $(OBJ)/driver.o $(OBJ)/cheat.o

